Modifica: Modalità modifica

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Edit and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎čeština • ‎русский
Arrow-left.svg Allineamento Pagina precedente:
Pagina successiva: Preferenze Std DlgPreferences.svg Arrow-right.svg

Std Edit.svg Attiva/disattiva la modalità modifica

Nome nel codice
Std_Edit
Posizione nel menu
Modifica → Attiva/disattiva la modalità modifica
Ambiente
Tutti
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Il comando Std Edit attiva o disattiva la modalità di modifica di un oggetto.

Utilizzo

  1. Se nessun oggetto è in modalità modifica: selezionare un singolo oggetto.
  2. Selezionare l'opzione Modifica → Std Edit.svg Attiva/disattiva la modalità modifica dal menu.
  3. La modalità di modifica dell'oggetto selezionato viene attivata o disattivata.

Note

  • Non tutti i tipi di oggetto hanno una modalità di modifica.
  • Le funzioni disponibili in modalità modifica dipendono dal tipo di oggetto.
  • La modalità di modifica può essere attivata anche facendo doppio clic su un oggetto nella Vista ad albero.

Script

Vedere anche: Script di base per FreeCAD

Per attivare la modalità di modifica di un oggetto, utilizzare il metodo setEdit dell'oggetto documento. Questo metodo non è disponibile se FreeCAD è in modalità console.

import FreeCADGui

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

Per disattivare la modalità di modifica di un oggetto, utilizzare il metodo resetEdit dell'oggetto documento.

import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()
Arrow-left.svg Allineamento Pagina precedente:
Pagina successiva: Preferenze Std DlgPreferences.svg Arrow-right.svg